﻿using EVCB_OCPP.WSServer.Service;
using EVCB_OCPP.WSServer.Service.DbService;
using Quartz;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.WSServer.Jobs
{
    [DisallowConcurrentExecution]
    internal class StationConfigPollingJob : IJob
    {
        public StationConfigPollingJob(
            StationConfigService stationConfigService)
        {
            this.stationConfigService = stationConfigService;
        }
        private readonly StationConfigService stationConfigService;

        public Task Execute(IJobExecutionContext context)
        {
            return stationConfigService.CheckAndUpdateStationConfig();
        }
    }
}
